Subject: bug#72466: [PATCH 2/2] Improve instructions how set path to C source code for Red Hat

From: Björn Bidar <[email-masked]>
Date: Sun, 04 Aug 2024 19:45:46 +0300

Eli Zaretskii <[email-masked]> writes:

>> Date: Sun, 4 Aug 2024 16:17:25 +0300
>> From:  Björn Bidar via "Bug reports for GNU Emacs,
>>  the Swiss army knife of text editors" <[email-masked]>
>> 
>> * etc/PROBLEMS(Problems when reading or debugging Emacs C code):
>> Improve instruction how to set path to C source code for Red Hat
>> based systems.
>> ---
>>  etc/PROBLEMS | 2 +-
>>  1 file changed, 1 insertion(+), 1 deletion(-)
>> 
>> diff --git a/etc/PROBLEMS b/etc/PROBLEMS
>> index ef205da2c17..a642ebce570 100644
>> --- a/etc/PROBLEMS
>> +++ b/etc/PROBLEMS
>> @@ -450,7 +450,7 @@ To get describe-function and similar commands to work, you can then
>>  add something like the following to your startup file:
>>  
>>       (setq find-function-C-source-directory
>> -           "/usr/src/debug/emacs-27.1-1.fc31.x86_64/src/")
>> +          (car (file-expand-wildcards "/usr/src/debug/emacs-*/src")))
>
> Thanks, but I'd rather not confuse users with Lisp, and neither would
> I assume that the first directory in the wildcard expansion will
> necessarily be the one belonging to the running Emacs.

There's only one Emacs package in Fedora as well as in (open)SUSE
the source expanded in that wildcard is to 99% the one that the user
runs, especially for user that would be confused with lisp.

> What exactly is wrong with the text as written?  It explains where did
> 27.1 came from:
>
>   Once you have installed the source package, for example at
>   /home/myself/deb-src/emacs-27.1, add the following line to your
>   startup file:        ^^^^^^^^^^
>
> If you think 27.1 is too old, we could change that to 30 or something.
> But other than that, I think the text is fine as it is.

I don't have a problem with 27.1 I just thought there would be a more
streamlined way of setting the patch to the C source code rather than
one that the user to update to each time they update.